*** Keywords ***
Prepare Machine
    Execute Command           include @${CURDIR}/uboot.resc
    Create Terminal Tester    sysbus.uart2fck  5  defaultPauseEmulation=true

*** Test Cases ***
Should Run Version Command In U-Boot
    Prepare Machine
    Start Emulation

    Wait For Prompt On Uart   Hit any key to stop autoboot
    Send Key To Uart          0x61  # a

    Wait For Prompt On Uart   >
    Write Line To Uart        version
    Wait For Line On Uart     U-Boot

    Wait For Prompt On Uart   >